<?php

$root_path="../";



$title="Add a member";

require_once($root_path."inc/begin_code.php");

restrictAccess(3);

include_once($root_path."html/admin/header.html");

require_once($root_path."inc/form_pro.inc.php");

require_once($root_path."inc/config.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/ref.inc.php");



$config=new config;





if (! isset($_POST['submitted'])) {

	bye(1);

}



if ($_POST['submitted']=="Cancel") {

	header("location:memberlist.php");

}



check_blank();

check_invalid();

add_user();

header('location:memberlist.php');

require_once($root_path."inc/end_code.php");

die;









function check_blank() {

	$form_pro=new form_pro;

	$config=new config;

	$vars=array("fname","lname","email","pass1","pass2");

	$msgs=array("You forgot to type your first name.","You didn't type your last name.","Please type your email address.","You didn't type your password","You forgot to re-enter your password.");

	

	

	

	$errs=$form_pro->check_blank($_POST,$vars,$msgs);



		if (is_array($errs)) {

		correct_input($errs,1);

	}

	return true;

}





function check_invalid() {

$config=new config;

$form_pro=new form_pro;





$vars[]=$_POST['fname'];

$vars[]=$_POST['lname'];

$vars[]=$_POST['email'];

$vars[]=$_POST['pass1'];

$vars[]=$_POST['pass2'];









$patterns[]="^[a-zA-Z0-9]+$"; //first name

$patterns[]="^[a-zA-Z0-9]+$";// last name

$patterns[]="^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$";// email

$patterns[]="^[a-zA-Z0-9]+$"; //password 1

$patterns[]="^[a-zA-Z0-9]+$"; //password 2





$errs[]="Your first name can only contain letters and numbers.";

$errs[]="Your last name can only contain letters and numbers.";

$errs[]="You didn't type a valid email address.";

$errs[]="Your password can only contain letters and numbers.";

$errs[]="You can only have letters and numbers in the 're-enter' password field.";





	if ($config->is_set("get_paypal_id") && $_GET['paypal'] !="") {

		$vars[]=$_POST['paypal'];

		$patterns[]="^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$";

		$errs[]="Please type a valid Paypal email address.";

	}

	

	if ($config->is_set("get_stormpay_id") && $_GET['stormpay'] !="") {

		$vars[]=$_POST['stormpay'];

		$patterns[]="^([0-9a-zA-Z]+[-._+&])*[0-9a-zA-Z]+@([-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6}$";

		$errs[]="You didn't type a valid StormPay email address.";

	}

	





$err_msgs=$form_pro->check_invalid($vars,$patterns,$errs);





//check if the passwords match

if ($_POST['pass1'] != $_POST['pass2']) {

$err_msgs[]="Your passwords don't match.";

}

if (is_array($err_msgs)) {

correct_input($err_msgs,1);

}

return true;

}





function correct_input($errs,$id) {

	

global $root_path;

$heading="Uh-oh...";





echo "<font color=red><h3>$heading</h3></font>\n<ul>\n";



foreach ($errs as $k=>$v) {

echo "<li><font color=red>$v</font></li>\n";

}



echo "</ul>\n<hr>\n";



bye($id);

}







function add_user() {

$db=new db;





//Below code is a shortcut to making a variable for each submitted value :)

foreach ($_POST as $k=>$v) {

	$$k=mysql_escape_string($v);

	}

$pass=md5($_POST['pass1']);





	

$sql="SELECT fname FROM #_users WHERE email='$email'";

if ($db->get_row_num("users",$sql)>0) {

	$err=array("The email address <b>$email</b> is already in use. Please type a different email address. If you have forgotten your password, <a href='forgot.php?email=$email'>click here</a> to have it emailed to you again.");

	correct_input($err,1);

}

$level=1;

$sql="INSERT INTO #_users (fname,lname,email,pass,paypal_id,stormpay_id,level,status,signup_date) VALUES ('$fname','$lname','$email','$pass','$paypal','$stormpay','$level','1',now())";

$db->change_db("users",$sql);



//Check if a referer id was supplied and if its valid:

return true;

}





	



function bye($id) {

	global $root_path;

	if ($id==1) {

	include($root_path."html/admin/register_form.html");

	require_once($root_path."inc/end_code.php");

	die;

	} else {

	include($root_path."html/activation_email_resend_form.html");

	require_once($root_path."inc/end_code.php");

	die;

}

}

	







	

	







?>