<?php

$root_path="../";

$title="Showing Gifts";

require_once($root_path."inc/begin_code.php");

restrictAccess(1);

require_once($root_path."inc/db.inc.php");

require_once($root_path."inc/config.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/form_pro.inc.php");

include_once($root_path."html/members/header.html");



define ('RESULTS_PER_PAGE',config::get_value("gifts_per_page"));



if (getTotalPages() < 1)

{

	echo "<strong>Sorry, there are no gifts to display right now. Please check back later.</strong><br><br>\n";

	die;

}



if ($_GET['page'] > getTotalPages())

{

echo "<strong>No more matches were found.</strong><br><br>\n";

	die;

}	

display();

function getTotalPages()

{

	$db=&new db;

	$sql="SELECT gift_id FROM #_gifts WHERE status='Approved'";

	$rows=$db->get_row_num("gifts",$sql);

	

	if ($rows <1 || RESULTS_PER_PAGE < 1)

	{

		$totalPages=0;

		return $totalPages;

	}

	

	$x=0;

	$totalPages=0;

	while ($x < $rows) {

	$totalPages=$totalPages+1;

	$x=$x+ RESULTS_PER_PAGE;

	}

	return $totalPages;

}





function getCurrentPage()

{

	$currPage=$_GET['page'];

	if (! is_numeric($currPage))

	{

		$currPage=1;

	} elseif ($currPage < getTotalPages())

		{

			$currPage=1;

		}

	return $currPage;

}





function getLimitStart()

{

	$limitStart=0;

	$total=getTotalPages();

	$current=getCurrentPage();

	$limitStart=RESULTS_PER_PAGE * ($current-1);

	return $limitStart;

}





	

function display()

{

		global $root_path,$www_path;

		$db=&new db;

		$limitStart=getLimitStart();

		$results=RESULTS_PER_PAGE;

		$sql="SELECT gift_id FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		

		$giftIds=$db->get_row("gift_id","gifts",$sql);

		

		$sql="SELECT user_id FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$userIds=$db->get_row("user_id","gifts",$sql);

		/*

		$sql="SELECT user_fname FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$fnames=$db->get_row("user_fname","gifts",$sql);

		*/

		$sql="SELECT filename FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$fileNames=$db->get_row("filename","gifts",$sql);

		

		$sql="SELECT fileurl FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$fileUrls=$db->get_row("fileurl","gifts",$sql);

		

		$sql="SELECT product_name FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$titles=$db->get_row("product_name","gifts",$sql);

		

		$sql="SELECT url FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$urls=$db->get_row("url","gifts",$sql);

		

		$sql="SELECT desc_text_1 FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$desc1=$db->get_row("desc_text_1","gifts",$sql);

	

		$sql="SELECT desc_text_2 FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$desc2=$db->get_row("desc_text_2","gifts",$sql);

		

		$sql="SELECT desc_text_3 FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$desc3=$db->get_row("desc_text_3","gifts",$sql);

		

		$sql="SELECT howToGet FROM #_gifts WHERE status='Approved' ORDER BY rank ASC LIMIT $limitStart,$results";

		$howToGets=$db->get_row("howToGet","gifts",$sql);

		

		//Trim and stripslah from all of the results

		$uploadDir=form_pro::addHttp(config::get_value('www_gift_upload_dir'));

		$uploadDir=form_pro::addEndingSlash($uploadDir);

		foreach ($giftIds as $k=>$v)

		{

			$giftIds[$k]=trim(stripslashes($v));

			$userIds[$k]=trim(stripslashes($userIds[$k]));

			$fnames[$k]=User::getInfo($userIds[$k],'fname') . ' '.User::getInfo($userIds[$k],'lname');

			$fileNames[$k]=trim(stripslashes($fileNames[$k]));

			$fileUrls[$k]=trim(stripslashes($fileUrls[$k]));

			$titles[$k]=trim(stripslashes($titles[$k]));

			$urls[$k]=trim(stripslashes($urls[$k]));

			$desc1[$k]=trim(stripslashes($desc1[$k]));

			$desc2[$k]=nl2br(trim(stripslashes($desc2[$k])));

			$desc3[$k]=nl2br(trim(stripslashes($desc3[$k])));

			

			if ($howToGets[$k]=='Form')

				$urls[$k]=$www_path."members/giftForm.php?giftId=$giftIds[$k]";

			

			

			if (! empty($fileNames[$k]))

			{

				$imageUrl[$k]=$uploadDir.$fileNames[$k];

			} elseif (! empty($fileUrls[$k]))

			{

				$imageUrl[$k]=$fileUrls[$k];

			} else {

				$imageUrl[$k]=false;

			}

			

			if (strlen($desc1[$k]) > 250)

			{

				$desc1[$k]=substr($desc1[$k],0,245)."...<a href=members/giftDetails.php?giftId=".$giftIds[$k]." TARGET=_BLANK>More>>></a>";

			}

			

			if (strlen($desc2[$k]) > 250)

			{

				$desc2[$k]=substr($desc2[$k],0,245)."...<a href=members/giftDetails.php?giftId=".$giftIds[$k]." TARGET=_BLANK>More>>></a>";

			}

			

			

			

			if (strlen($desc3[$k]) > 250)

			{

				

				$desc3[$k]=substr($desc3[$k],0,245)."...<a href=members/giftDetails.php?giftId=".$giftIds[$k]." TARGET=_BLANK>More>>></a>";

			}

			

			

			

		}

		$total=getTotalPages();

		$current=getCurrentPage();

		include_once($root_path."html/members/showgifts.html");

		return true;

	}

				

			

	





function bye() 

{

global $root_path;



	require_once($root_path."inc/end_code.php");

die;

}





?>