<?php

require_once($root_path."inc/db.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/ref.inc.php");

require_once($root_path."inc/config.inc.php");





class Contest

{

	function getStatus()

	{

		$today=date('Y-m-d');

		$start=config::get_value('contest_start_date');

		$end=config::get_value('contest_end_date');

		

		if ($today >=$start && $today <=$end)

		{

			return "OPEN";

		} 

		if ($today < $start)

		{

			return "PENDING";

		}

		

		if ($today > $end)

		{

			return "CLOSED";

		}

	}

	

	

	function getPrize($id)

	{

		$db=&new db;

		$temp='contest_prize'.$id;

		$prize=config::get_value($temp);

		return $prize;

	}

	

	function isContest()

	{

		if (Contest::getStatus()=="OPEN")

		{

			return true;

		} else {

			return false;

		}

	}

	

	function addPoints($userId,$points)

	{

		$db=&new db;

		$sql="SELECT pointsId FROM #_contest_points WHERE user_id='$userId'";

		if ($db->get_row_num('contest_points',$sql) > 0)

		{

			$sql="UPDATE #_contest_points SET points='$points' WHERE user_id='$userId' LIMIT 1";

		} else {

			$sql="INSERT INTO #_contest_points (user_id,points) VALUES('$userId','$points')";

		}

		$db->change_db('contest_points',$sql);

		return true;

	}

	

	function getPoints($userId)

	{

		$db=&new db;

		$sql="SELECT points FROM #_contest_points WHERE user_id='$userId' LIMIT 1";

		$points=$db->getRow('points','contest_points',$sql);

		if (! is_numeric($points))

		{

			$points=0;

		}

		return $points;

	}

	

	function getWinner($num)

	{

		$num=$num-1; //cuz arrays start at 0

		$db=&new db;

		$sql="SELECT user_id FROM #_contest_points ORDER BY points DESC LIMIT 5";

		$winners=$db->get_row('user_id','contest_points',$sql);

		

		$winner=User::getInfo($winners[$num],'fname')." ".User::getInfo($winners[$num],'lname');

		return $winner;

	}

}

	

	?>
