<?php

require_once($root_path."inc/db.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/ref.inc.php");

require_once($root_path."inc/config.inc.php");



Class Payment

{

	function getCase($userId,$refId,$amount,$method,$receiver,$productId,$refId)

	{

error_log("REALP: PAYMENT1");

		$db=&new db;

		$receiver=trim($receiver);

		$userId=trim($userId);

		$amount=trim($amount);

		$method=trim($method);

		if (! is_numeric($refId))

		{

			$refId=0;

		}

		$allowSplit=config::is_set('allow_split_payments');

		$paid1st=config::get_value('split_whose_paid_first');

		if ($paid1st==0)

		{

			$paid1st='ref';

		} else {

			$paid1st='owner';

		}

		$userPayments=User::getPaidUserInfo($userId,$productId,'payments_made');

		$ownerId=config::get_value("owner_".$method."_id");

		$totalPrice=Ref::getPriceById($productId);

		$refShare=Ref::getRefShare($totalPrice);

		$ownerShare=Ref::getOwnerShare($totalPrice);

		$refEmail=User::getInfo($refId,$method."_id");

			logIt("Total Price is $totalPrice and method=$method, product id is $productId,refshare=$refShare,ownershare=$ownerShare,ref email is $refEmail, ref id is $refId");

		if ($receiver==$ownerId && $amount==$totalPrice)

		{

			return "fullPayment";

		} 

		
		if (! $allowSplit)

		{

			die;

		}

		echo("ccc");

		if (! is_numeric($userPayment)) //if this is the first payment:

		{
		
			echo " a1";

			logIt("User isn't a customer");

			echo " a2";
			//if receiver is the owner's id, amount is owner's split payment

			//share, and referer has to be paid first, give the user 1 payment.
			
			echo " a3";

			if ($paid1st=='ref' && $amount==$ownerShare && $receiver==$ownerId) 
			{
echo " a4";
				return "refSplit1";

			}

			

			if ($paid1st=='owner' && $amount==$ownerShare && $receiver==$ownerId)

			{
echo " a5";
				return "ownerSplit1";

			} else {
echo " a6";
				logIt("User isn't a customer, + an error occured. Amount is $amount, ownershare is $ownerShare, receiver is $receiver, ownerid is $ownerId , ref share is $refShare , total price is $totalPrice");

				return;

			}

		}

		echo "aaa";

		

		if ($userPayment==1)

		{

			logIt("User has made 1 payment.");

			if ($paid1st=='ref' && $amount==$ownerShare && receiver==$ownerId)

			{

				return "refSplit2";

			} 

			

			if ($paid1st=='owner' && $amount==$ownerShare && $receiver==$ownerId)

			{

				return "ownerSplit2";

			} else {

				logIt("User had made 1 payment, + an error occured. Amount is $amount, ownershare is $ownerShare, receiver is $receiver, ownerid is $ownerId , ref share is $refShare , total price is $totalPrice");

				return;

			}

		}
		
		echo "bbbb";

		logIt("No result concluded at the end of the script so dying. Cyaaa!");

		die;

	}

	

	

	

	

	function makePayment($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId)

	{

		logIt("MakePayment function, data: \n $userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId");

		echo("777");

		$case=Payment::getCase($userId,$refId,$amount,$method,$receiver,$productId,$refId);
		echo("AAs");

		logIt("Case found: $case");
		if (empty($case))

		{

			return;

		}
		echo("71");
		

		Payment::$case($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId);

	

	}

	

	

	

	

	function fullPayment($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId)

	{

error_log("REALP: PAYMENT2");

		$db=&new db;

		$sql="INSERT INTO #_paidusers (user_id,txn_id,method,amount,payments_made,paid_who,productId) VALUES('$userId','$txnId','$method','$amount','2','owner','$productId')";

		$db->change_db('paidusers',$sql);

		logIt("Emailing the finger print to the user");

		Payment::mailFingerPrint($payer,$userId,$productId);

		return true;

	}

	

	

	

	

	

	

	

	function refSplit1($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId)

	{

error_log("REALP: PAYMENT3");

		logIt("RefSplit1 function!");

		$db=&new db;

		$sql="INSERT INTO #_paidusers (user_id,txn_id,method,amount,payments_made,paid_who,refId,productId) VALUES('$userId','$txnId','$method','$amount','1','ref','$refId','$productId')";

		logIt("Query is $sql");

		$db->change_db('paidusers',$sql);

		Payment::ownerSplit2($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId);

		return true;

	}

	

	

	

	function ownerSplit1($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId)

	{

error_log("REALP: PAYMENT4");
		logIt("OwnerSplit1 function!");

		$db=&new db;

		$sql="INSERT INTO #_paidusers (user_id,txn_id,method,amount,payments_made,paid_who,productId,refId) VALUES('$userId','$txnId','$method','$amount','1','owner','$productId','$refId')";

		logIt("Query is $sql");

		$db->change_db('paidusers',$sql);

		return true;

	}	

	

	

	

	function refSplit2($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId)

	{

		logIt("RefSplit2 function!");

		$db=&new db;

		$price=Ref::getPriceById($productId);

		$sql="UPDATE #_paidusers SET payments_made='2',amount='$price' WHERE user_id='$userId' AND productId='$productId' AND paid_who='owner'";

		logIt("Query is $sql");

		$db->change_db('paidusers',$sql);

		logIt("Emailing the finger print to the user");

		Payment::mailFingerPrint($payer,$userId,$productId);

		return true;

	}

				

		

	

	

	

	function ownerSplit2($userId,$txnId,$method,$amount,$receiver,$payer,$refId,$productId)

	{

		logIt("ownerSplit2 function!");

		$db=&new db;

		$price=Ref::getPriceById($productId);

		$sql="UPDATE #_paidusers SET payments_made='2',amount='$price' WHERE user_id='$userId' AND productId='$productId' AND paid_who='ref'";

		logIt("Query is $sql");

		$db->change_db('paidusers',$sql);

		logIt("Emailing the finger print to the user");

		Payment::mailFingerPrint($payer,$userId,$productId);

		return true;

	}	

	

	function mailFingerPrint($buyerEmail,$id,$productId)

	 {

		 global $sitename,$www_path;

		 if ($id < 1 || ! is_numeric($id))

		 {

			 $id=getenv("REMOTE_ADDR");

		 }

		 $fingerPrint=User::getFingerPrint($id,$productId);

		 $amount=User::getPaidUserInfo($id,$productId,'amount');

		 $loginUrl=$www_path."login.php";

		 $subject="Payment Confirmation";

		 $msg="Hi.\nWe have just received your payment of \$".$amount.". Please feel free to download our product at the following url: \n".$www_path."get.php?fingerPrint=".$fingerPrint."\nYou can also download our product by logging in at:\n".$www_path."login.php\nRegards,The ". $sitename." team.\n";

		 logIt("Emailing to $buyerEmail, \nsubject:$subject\nmsg:$msg");

		$test= mail($buyerEmail, $subject, $msg, "From: $sitename <support@$sitename>\nX-Mailer: PHP/" . phpversion());

		logIt("Return Value is $test");

		 return true;

	 }

	

}



function logIt($str)

{

	$str=mysql_escape_string($str);

	$db=&new db;

	$sql="INSERT INTO #_log (logText) VALUES ('$str')";

	$db->change_db('log',$sql);

}

?>
